﻿@{ 
    var acc = ViewData["acc"] as Account; 
    var st = ViewData["staff"] as Staff; 
}
@{
    ViewData["Title"] = "Thông tin tài khoản";
    Layout = "~/Views/Shared/_Layout.cshtml";

}
@*CSS chỉnh trong file Home_css.cshtml*@

<div class="row">
    <div class="col-12">
        <div class="iq-card">
            <div class="iq-card-header d-flex justify-content-between">
                <div class="iq-header-title">
                    <h4 class="card-title text-uppercase">Thông tin tài khoản</h4>
                </div>
            </div>
            <div class="iq-card-body">
                <div class="row">
                    <div class="col-sm-3">
                        <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                            <a class="nav-link active" id="info-account-tab" data-toggle="pill" href="#info-account" role="tab" aria-controls="info-account" aria-selected="true">Thông tin tài khoản</a>
                            @*<a class="nav-link" id="info-employee-tab" data-toggle="pill" href="#info-employee" role="tab" aria-controls="info-employee" aria-selected="false">Thông tin nhân viên</a>
                            <a class="nav-link" id="info-address-tab" data-toggle="pill" href="#info-address" role="tab" aria-controls="info-address" aria-selected="false">Thông tin địa chỉ</a>
                            <a class="nav-link" id="info-mui-1-tab" data-toggle="pill" href="#info-mui-1" role="tab" aria-controls="info-mui-1" aria-selected="false">Thông tin Mũi 1</a>
                            <a class="nav-link" id="info-mui-2-tab" data-toggle="pill" href="#info-mui-2" role="tab" aria-controls="info-mui-2" aria-selected="false">Thông tin Mũi 2</a>
                            <a class="nav-link" id="info-other-tab" data-toggle="pill" href="#info-other" role="tab" aria-controls="info-other" aria-selected="false">Thông tin khác</a>*@
                        </div>
                    </div>
                    <div class="col-sm-7">
                        <div class="tab-content mt-0" id="v-pills-tabContent">
                            <div class="tab-pane fade show active" id="info-account" role="tabpanel" aria-labelledby="info-account-tab">
                                <form id="box_form_account" class="form_account_validation" action="" method="post" novalidate>
                                    <div class="form-row">
                                        <div class="col-12 mb-3">
                                            <h3>Thông tin tài khoản</h3>
                                        </div>
                                        <input type="hidden" name="Verify" id="Verify" value="@ViewData["verify"]" />
                                        <div class="col-md-12 mb-3">
                                            <label for="username">Tài khoản đăng nhập</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@acc.TenDangNhap" name="TenDangNhap" id="TenDangNhap" required readonly>
                                        </div>
                                        <div class="col-md-12 mb-3">
                                            <label for="email">Email</label>
                                            <input type="email" class="form-control form-control-sm"
                                                   value="@acc.Email" name="Email" id="Email" required readonly>
                                        </div>
                                        <div class="col-md-12 mb-3">
                                            <label for="pass_old">Mật khẩu cũ</label>
                                            <input type="password" class="form-control form-control-sm" name="MatKhauCu" id="MatKhauCu" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập mật khẩu cũ
                                            </div>
                                        </div>
                                        <div class="col-md-12 mb-3">
                                            <label for="pass_new">Mật khẩu mới</label>
                                            <input type="password" class="form-control form-control-sm" name="MatKhauMoi" id="MatKhauMoi" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập mật khẩu mới
                                            </div>
                                        </div>
                                    </div>
                                    <button class="btn btn-primary btnCapNhatThongTinTaiKhoan" type="button">Cập nhật</button>
                                    <a class="btn btn-primary" asp-action="Index" asp-controller="NLSX">Quay lại</a>
                                </form>
                            </div>

                            <div class="tab-pane fade" id="info-employee" role="tabpanel" aria-labelledby="info-employee-tab">
                                <form id="box_form_employee" class="form_employee_validation" action="" method="post" novalidate>
                                    <div class="form-row">
                                        <div class="col-12 mb-3">
                                            <h3>Thông tin nhân viên</h3>
                                        </div>

                                        <input type="hidden" name="Verify" id="Verify" value="@ViewData["Verify"]" />
                                        <div class="col-md-6 mb-3">
                                            <label for="full_name">Thẻ: </label>
                                            @{
                                                if (st.KetQuaImPort != null || st.KetQuaImPort != "")
                                                {
                                                    <img src="@st.KetQuaImPort" class="img-thumbnail">
                                                }
                                                else
                                                {
                                                    <img src="https://via.placeholder.com/24x24" class="img-thumbnail">
                                                }
                                            }

                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <label for="Id">#Id: </label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.Id" name="Id" id="Id" required readonly>
                                        </div>

                                        <div class="col-md-6 mb-3">
                                            <label for="HoTen">Họ tên:</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.HoTen" name="HoTen" id="HoTen" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập họ tên
                                            </div>
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <label for="NgaySinh">Ngày sinh dạng dd/mm/yyyy (*):</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.NgaySinh" name="NgaySinh" id="NgaySinh" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Ngày sinh
                                            </div>
                                        </div>

                                        <div class="col-md-6 mb-3">
                                            <label for="GioiTinh">Giới tính (*):</label>
                                            @{ if (st.GioiTinh == "0")
                                                {
                                                    <input type="text" class="form-control form-control-sm"
                                                           value="Nam" name="GioiTinh" id="GioiTinh" required>
                                                }
                                                else
                                                {
                                                    {
                                                        <input type="text" class="form-control form-control-sm"
                                                               value="Nữ" name="GioiTinh" id="GioiTinh" required>
                                                    }
                                                }
                                            }

                                            <div class="invalid-feedback">
                                                Vui lòng nhập Giới tính
                                            </div>
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <label for="MaNhom">Mã nhóm đối tượng ưu tiên (*):</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.MaNhom" name="MaNhom" id="MaNhom" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Mã nhóm đối tượng
                                            </div>
                                        </div>

                                        <div class="col-md-6 mb-3">
                                            <label for="DonVi">Đơn vị công tác:</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.DonVi" name="DonVi" id="DonVi" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Đơn vị
                                            </div>
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <label for="DienThoai">Số điện thoại (Tối thiểu 10 số) (*):</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.DienThoai" name="DienThoai" id="DienThoai">
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Số điện thoại
                                            </div>
                                        </div>

                                        <div class="col-md-6 mb-3">
                                            <label for="CMND">Số CMT/CCCD (Loại 8/9/12 số):</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.CMND" name="CMND" id="CMND">
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Số CMT/CCCD
                                            </div>
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <label for="BHYT">Số thẻ bảo hiểm y tế (Mã thẻ 10/15 ký tự):</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.BHYT" name="BHYT" id="BHYT">
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Số thẻ bảo hiểm y tế
                                            </div>
                                        </div>

                                    </div>
                                    <button id="CapNhatThongTinNhanVien" class="btn btn-primary CapNhatThongTinNhanVien" type="button">Cập nhật</button>
                                </form>
                            </div>

                            <div class="tab-pane fade" id="info-address" role="tabpanel" aria-labelledby="info-address-tab">
                                <form id="box_form_address" class="form_address_validation" novalidate>
                                    <div class="form-row">
                                        <div class="col-12 mb-3">
                                            <h3>Nơi ở tạm trú (hiện tại) (Tham khảo PL3)(*)</h3>
                                        </div>

                                        <input type="hidden" name="Verify" id="Verify" value="@ViewData["Verify"]" />
                                        <div class="col-md-6 mb-3">
                                            <label for="TenTinh">Tỉnh Thành phố:</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.TenTinh" name="TenTinh" id="TenTinh" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Tỉnh Thành phố
                                            </div>
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <label for="MaTinh">Mã Tỉnh Thành phố (*):</label>
                                            <input type="number" class="form-control form-control-sm"
                                                   value="@st.MaTinh" name="MaTinh" id="MaTinh" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Mã Tỉnh Thành phố
                                            </div>
                                        </div>

                                        <div class="col-md-6 mb-3">
                                            <label for="TenQuan">Quận Huyện:</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.TenQuan" name="TenQuan" id="TenQuan" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Quận Huyện
                                            </div>
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <label for="MaQuan">Mã Quận Huyện (*):</label>
                                            <input type="number" class="form-control form-control-sm"
                                                   value="@st.MaQuan" name="MaQuan" id="MaQuan" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Mã Quận Huyện
                                            </div>
                                        </div>

                                        <div class="col-md-6 mb-3">
                                            <label for="TenPhuong">Xã Phường:</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.TenPhuong" name="TenPhuong" id="TenPhuong" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Xã Phường
                                            </div>
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <label for="MaPhuong">Mã Xã Phường (*):</label>
                                            <input type="number" class="form-control form-control-sm"
                                                   value="@st.MaPhuong" name="MaPhuong" id="MaPhuong" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Mã Xã Phường
                                            </div>
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <label for="Ten_ToKhuPho">Tổ Khu Phố:</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.Ten_ToKhuPho" name="Ten_ToKhuPho" id="Ten_ToKhuPho" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Tổ Khu Phố
                                            </div>
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <label for="Ma_ToKhuPho">Mã Tổ Khu Phố(*):</label>
                                            <input type="number" class="form-control form-control-sm"
                                                   value="@st.Ma_ToKhuPho" name="Ma_ToKhuPho" id="Ma_ToKhuPho" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Mã Tổ Khu Phố(*)
                                            </div>
                                        </div>
                                        <div class="col-md-12 mb-3">
                                            <label for="DiaChi">Địa chỉ chi tiết:</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.DiaChi" name="DiaChi" id="DiaChi" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Địa chỉ
                                            </div>
                                        </div>

                                    </div>
                                    <button class="btn btn-primary btnCapNhatDiaChiNhanVien" type="button">Cập nhật</button>
                                </form>
                            </div>

                            <div class="tab-pane fade" id="info-mui-1" role="tabpanel" aria-labelledby="info-mui-1-tab">
                                <form id="box_form_mui_1" class="form_mui_1_validation" novalidate>
                                    <div class="form-row">
                                        <div class="col-12 mb-3">
                                            <h3>Thông tin Mũi 1</h3>
                                        </div>

                                        <input type="hidden" name="Verify" id="Verify" value="@ViewData["Verify"]" />
                                        <div class="col-md-6 mb-3">
                                            <label for="Mui1_TenVacxin">Tên vắc xin (Tham khảo PL5) (*):</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.Mui1_TenVacxin" name="Mui1_TenVacxin" id="Mui1_TenVacxin" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Tên vắc xin
                                            </div>
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <label for="Mui1_NgayTiem">Ngày tiêm dạng dd/mm/yyyy (*):</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.Mui1_NgayTiem" name="Mui1_NgayTiem" id="Mui1_NgayTiem" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Ngày tiêm
                                            </div>
                                        </div>

                                        <div class="col-md-6 mb-3">
                                            <label for="Mui1_SoLo">Lô vắc xin(*):</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.Mui1_SoLo" name="Mui1_SoLo" id="Mui1_SoLo" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Lô vắc xin
                                            </div>
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <label for="Mui1_DiaDiem">Địa điểm tiêm (Tham khảo PL4) (*):</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.Mui1_DiaDiem" name="Mui1_DiaDiem" id="Mui1_DiaDiem" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Địa điểm tiêm
                                            </div>
                                        </div>

                                    </div>
                                    <button class="btn btn-primary btnCapNhatThongTinMuiMot" type="button">Cập nhật</button>
                                </form>
                            </div>

                            <div class="tab-pane fade" id="info-mui-2" role="tabpanel" aria-labelledby="info-mui-2-tab">
                                <form id="box_form_mui_2" class="form_mui_2_validation" novalidate>
                                    <div class="form-row">
                                        <div class="col-12 mb-3">
                                            <h3>Thông tin Mũi 2</h3>
                                        </div>

                                        <input type="hidden" name="Verify" id="Verify" value="@ViewData["Verify"]" />
                                        <div class="col-md-6 mb-3">
                                            <label for="Mui2_TenVacxin">Tên vắc xin (Tham khảo PL5) (*):</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.Mui2_TenVacxin" name="Mui2_TenVacxin" id="Mui2_TenVacxin" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Tên vắc xin
                                            </div>
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <label for="Mui2_NgayTiem">Ngày tiêm dạng dd/mm/yyyy (*):</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.Mui2_NgayTiem" name="Mui2_NgayTiem" id="Mui2_NgayTiem" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Ngày tiêm
                                            </div>
                                        </div>

                                        <div class="col-md-6 mb-3">
                                            <label for="Mui2_SoLo">Lô vắc xin(*):</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.Mui2_SoLo" name="Mui2_SoLo" id="Mui2_SoLo" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Lô vắc xin
                                            </div>
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <label for="Mui2_DiaDiem">Địa điểm tiêm (Tham khảo PL4) (*):</label>
                                            <input type="text" class="form-control form-control-sm"
                                                   value="@st.Mui2_DiaDiem" name="Mui2_DiaDiem" id="Mui2_DiaDiem" required>
                                            <div class="invalid-feedback">
                                                Vui lòng nhập Địa điểm tiêm
                                            </div>
                                        </div>

                                    </div>
                                    <button class="btn btn-primary btnCapNhatThongTinMuiHai" type="button">Cập nhật</button>
                                </form>
                            </div>

                            <div class="tab-pane fade" id="info-other" role="tabpanel" aria-labelledby="info-other-tab">
                                <form id="box_form_thong_tin_khac" class="box_form_thong_tin_khac" action="" method="post" enctype="multipart/form-data" novalidate>
                                    <div class="form-row">
                                        <div class="col-12 mb-3">
                                            <h3>Thông tin khác</h3>
                                        </div>

                                        <input type="hidden" name="Verify" id="Verify" value="@ViewData["Verify"]" />


                                        <div class="col-md-6 mb-3">
                                            <label for="Photo">Giấy xác nhận:</label>
                                            <div class="text-center">
                                                @{
                                                    if (st.UrlHinhGiayXN != null && st.UrlHinhGiayXN != "")
                                                    {
                                                        <img src="@Url.Content("~/"+st.UrlHinhGiayXN)" id="ImageHinhGiayXN" class="img-fluid h-100 ImageHinhGiayXN">
                                                    }
                                                    else
                                                    {
                                                        <img src="https://via.placeholder.com/50x50" id="ImageHinhGiayXN" class="img-fluid h-100 ImageHinhGiayXN">
                                                    }
                                                }
                                                <input type="hidden" value="@Url.Content("~/"+st.UrlHinhGiayXN)" name="UrlHinhGiayXN" id="UrlHinhGiayXN" />
                                            </div>
                                            <div class="input-group mb-3">
                                                <div class="custom-file">
                                                    <input type="file" class="custom-file-input file" id="file" name="file" onchange="ChangeFile(event)" />
                                                    <label class="custom-file-label" for="Photo">Chọn hình</label>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <label for="GhiChu">Ghi chú:</label>
                                            <textarea class="form-control form-control-sm"
                                                      value="@st.GhiChu" name="GhiChu" id="GhiChu" rows="10"></textarea>
                                        </div>
                                    </div>
                                    <button class="btn btn-primary btnCapNhatThongTinKhac" type="button">Cập nhật</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>




